Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Apr 2014, 02:39
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to Install Your Printer/Scanner in Puppy
Post new topic   Reply to topic View previous topic :: View next topic
Page 10 of 15 [223 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11, 12, 13, 14, 15 Next
Author Message
AirCon

Joined: 26 Mar 2007
Posts: 12

PostPosted: Tue 02 Oct 2012, 06:08    Post subject:  

Downloaded and installed!
A huge thank you bud Cool
The install went smooth as silk via CUPS printer wizard and the print is clear and sharp.

Is it possible to have the option of increasing the resolution beyond 600dpi?
Its looking really good for text documents and most other jobs but it'd be nice to up the quality for photos etc.
Once again many thanks.

_________________
Just like Aircon my system worked fine till I opened Windows
Back to top
View user's profile Send private message 
AirCon

Joined: 26 Mar 2007
Posts: 12

PostPosted: Tue 02 Oct 2012, 06:31    Post subject:  

Ive found the .ppd file but I have no idea how to change the options to include higher res Sad
Amedment:
is this the code I need to add to the .ppd file?
*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600
*Resolution 600/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*Resolution 1200/1200 dpi: "<</HWResolution[1200 1200]>>setpagedevice"
*Resolution 2400/2400 dpi: "<</HWResolution[2400 2400]>>setpagedevice"
*CloseUI: *Resolution

_________________
Just like Aircon my system worked fine till I opened Windows
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8562
Location: Stratford, Ontario

PostPosted: Tue 02 Oct 2012, 09:23    Post subject:  

Is this code from here and the German link? Make a backup copy of the PPD file and try it.
Back to top
View user's profile Send private message 
AirCon

Joined: 26 Mar 2007
Posts: 12

PostPosted: Tue 02 Oct 2012, 12:15    Post subject:  

It works!
Happy days Cool

_________________
Just like Aircon my system worked fine till I opened Windows
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8562
Location: Stratford, Ontario

PostPosted: Tue 02 Oct 2012, 12:23    Post subject:  

Are you claiming that you can tell the difference between 600 DPI and 1200 DPI? Wink
Back to top
View user's profile Send private message 
AirCon

Joined: 26 Mar 2007
Posts: 12

PostPosted: Tue 02 Oct 2012, 13:20    Post subject:  

TBH i tried 2400 dpi and the colour was more intensive than the same file printed at 600dpi
_________________
Just like Aircon my system worked fine till I opened Windows
Back to top
View user's profile Send private message 
chapchap70

Joined: 18 Nov 2010
Posts: 123
Location: The Island Of Long (NY, USA)

PostPosted: Mon 15 Oct 2012, 20:19    Post subject:    

Thanks rcrsn51!

I know someone else mentioned it earlier but it was a great idea to link this thread to the CUPS wizard. I was able to download your pet in order to wirelessly connect to my password protected Windows Vista machine which has our printer connected to it via USB. I can now print from my Netbook using Slacko 5.33.
Back to top
View user's profile Send private message 
smiler411

Joined: 28 Oct 2012
Posts: 1

PostPosted: Sun 28 Oct 2012, 14:58    Post subject: ip2600 canon printer  

Hello, I am using slacko puppy 5.3.3 and I have a canon ip2600 printer.
Is it possible to create a .pet file to install this printer on my system.

Thank you
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8562
Location: Stratford, Ontario

PostPosted: Sun 28 Oct 2012, 15:35    Post subject: Re: ip2600 canon printer  

smiler411 wrote:
Hello, I am using slacko puppy 5.3.3 and I have a canon ip2600 printer. Is it possible to create a .pet file to install this printer on my system.

I have posted one in the Canon section here.

This is a new driver. Please provide feedback.

[Edit] Drive deleted - no feedback provided.
Back to top
View user's profile Send private message 
Volhout


Joined: 28 Dec 2008
Posts: 365

PostPosted: Fri 16 Nov 2012, 16:26    Post subject: photosmart  

hi rcrsn51,

just installed Slacko 5.3.7.1 (5.4 beta 4). Try to install my new HP Photomart 6510, and it is not listed in CUPS 1.4.8 (supplied with Slacko 5.4).
Have not been able to find a PPD file for it, and the hplib that contains a driver for this printer has no Slackware version (but has Debian and Ubuntu).

How can I proceed ?

It is a network printer (via WIFI) and it is detected by CUPS 1.4.8.

Regards,

Harm
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8562
Location: Stratford, Ontario

PostPosted: Fri 16 Nov 2012, 18:15    Post subject:  

The hplip_print-3.12.10a.pet posted on Page 1 of this thread supports your Photosmart 6510. Have you tried it yet?
Quote:
Have not been able to find a PPD file for it

A PPD file by itself is almost never sufficient to install a printer.
Back to top
View user's profile Send private message 
Volhout


Joined: 28 Dec 2008
Posts: 365

PostPosted: Sat 17 Nov 2012, 10:59    Post subject: Photosmart 6510  

Dear rcrsn51,

Thanks for the tip. Didn't read the first post carefully enough. Installed the PET, and now I can print. Thanks......

regards,

Volhout
Back to top
View user's profile Send private message 
f_esson

Joined: 21 Nov 2012
Posts: 3

PostPosted: Wed 21 Nov 2012, 07:16    Post subject:  Lexmark S315
Subject description: Printer detected by driver not working
 

Hello,
I'm new to Puppy, Installed yesterday my Lexmark S315 on Puppy using the driver you indicated.
(as Lexmark PPD file is not working).

The Wifi printer was indeed detected with no pbs.

sending the test page to Printer prints only one page with odd caracters on top --> Driver obviously not propre for my printer.

Do you have any ideas of alternative drivers I could use?
is Puppy a debian based linux or redhat?

Thx a lot and sorry in advance for the hassle.

Cheers from Paris France

François
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 8562
Location: Stratford, Ontario

PostPosted: Wed 21 Nov 2012, 10:21    Post subject: Re: Lexmark S315
Subject description: Printer detected by driver not working
 

f_esson wrote:
Installed yesterday my Lexmark S315 on Puppy using the driver you indicated.

Sorry. There was a report here of a Lexmark S301 working. But the Lexmark drivers are so complicated that they are impossible to trouble-shoot in Puppy unless I have the actual printer.

[Edit] This printer claims to be Postscript compatible. I have attached a generic PPD file that worked for another user. This is for a Lexmark X463de.

If you have already installed your S315, delete it. (In CUPS, select the printer and pull down its Admin list.)

Then let CUPS re-detect the printer but use the X463de model instead.

[Edit] This Postscript PPD was confirmed to work with a Lexmark S315. It may work with other S Series models. If you try it, please report your success or failure.
Lexmark_X463de_Postscript_PPD-2.0.pet
Description 
pet

 Download 
Filename  Lexmark_X463de_Postscript_PPD-2.0.pet 
Filesize  3.07 KB 
Downloaded  332 Time(s) 

Last edited by rcrsn51 on Thu 29 Nov 2012, 21:56; edited 5 times in total
Back to top
View user's profile Send private message 
f_esson

Joined: 21 Nov 2012
Posts: 3

PostPosted: Mon 26 Nov 2012, 10:22    Post subject: Re: Lexmark S315
Subject description: Printer detected by driver not working
 

Hello, sorry for the late answer.
Could you post the generic working ppd please?
Thx in advance

François

rcrsn51 wrote:
f_esson wrote:
Installed yesterday my Lexmark S315 on Puppy using the driver you indicated.

Sorry. There was a report here of a Lexmark S301 working. But the Lexmark drivers are so complicated that they are impossible to trouble-shoot in Puppy unless I have the actual printer.

Lexmark has recently quit the ink-jet business. Good thing. I was never a fan of their stuff.

[Edit] This printer claims to be Postscript compatible. I have attached a generic PPD file that worked for another user.

[Edit] No reply - attachment deleted. If another Lexmark owner wants to try this, please post a request.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 10 of 15 [223 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11, 12, 13, 14, 15 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0667s ][ Queries: 13 (0.0079s) ][ GZIP on ]